Refresh Identity Verification Check URL
curl --request POST \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id}/refresh_url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "<string>"
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id}/refresh_url"
payload = { "identity_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity_id: '<string>'})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id}/refresh_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id_verification_check": {
"id": "<string>",
"identity_id": "<string>",
"verification_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"redirect_url": "<string>",
"status": "IN_PROGRESS",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"labels": [
"<string>"
]
}
}Identity Verification
Refresh Identity Verification Check URL
Refresh the verification URL for an existing identity verification check.
POST
/
v2
/
identities
/
{identity_id}
/
id_verification
/
{id}
/
refresh_url
Refresh Identity Verification Check URL
Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of the identity associated with the check
Unique identifier of the identity verification check to refresh
Body
application/json
Unique identifier of the identity associated with the check
Response
Success
The refreshed identity verification check
Show child attributes
Show child attributes
Related topics
Create Identity Verification CheckGet Identity Verification CheckList Identity Verification ChecksIdentity verification API overviewOnboard an individual customer⌘I